import 'package:flutter_test/flutter_test.dart';
import 'package:lokalise_flutter_sdk/ota/model/label_tr.dart';
import 'package:lokalise_flutter_sdk/ota/model/release_data.dart';
import 'package:lokalise_flutter_sdk/ota/model/stored_release_data.dart';
import 'package:lokalise_flutter_sdk/ota/platforms/platform.dart';

void main() {

  group('OTA test', () {
    test('clear the cache for all of the platforms (then has been response 404: bundle not found)', () async {
      var platform = Platform();
      Map<String, Map<String, LabelTr>> releaseData = {'projectIdTest': {} };
      var release = ReleaseData(version: 0, data: releaseData);
      var storedReleaseDataSave = StoredReleaseData("projectId", release);
      await platform.saveStoredReleaseData(storedReleaseDataSave);
      await platform.removeStoredReleaseData();
      StoredReleaseData? storedReleaseDataLoad = await platform.getStoredReleaseData();
      expect(storedReleaseDataLoad, null);
    });
    test("read & write storage cache for all of the platforms", () async {
      var platform = Platform();
      Map<String, Map<String, LabelTr>> releaseData = {'projectId': {} };
      var release = ReleaseData(version: 0, data: releaseData);
      var storedReleaseDataSave = StoredReleaseData("projectForSave", release);
      await platform.saveStoredReleaseData(storedReleaseDataSave);
      StoredReleaseData storedReleaseDataLoad = StoredReleaseData("test", release);
      storedReleaseDataLoad = (await platform.getStoredReleaseData())!;
      expect(storedReleaseDataLoad.projectId == storedReleaseDataSave.projectId,  true);
    });
  });}